Bug 219270 - virt-install will crash if invalid memory parameter is passed
virt-install will crash if invalid memory parameter is passed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Glauber Costa
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 07:03 EST by Glauber Costa
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:40:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for that. (353 bytes, patch)
2006-12-12 07:03 EST, Glauber Costa
no flags Details | Diff

  None (edit)
Description Glauber Costa 2006-12-12 07:03:18 EST
Description of problem:

Instead of displaying an error message and moving along, virt-install will crash
if invalid memory parameter is passed.

How reproducible:
Always

Steps to Reproduce:
1. call virt-install
2. when prompted for guest's memory, type anything that does not resemble a number

  
Actual results:
virt-install crashes

Expected results:
virt-install prints an error and try again.
Comment 1 Glauber Costa 2006-12-12 07:03:18 EST
Created attachment 143379 [details]
Fix for that.
Comment 3 RHEL Product and Program Management 2006-12-12 08:30:28 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Jay Turner 2006-12-14 14:14:48 EST
QE ack for RHEL5.
Comment 7 RHEL Product and Program Management 2007-02-07 20:40:57 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.